<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
if($aut==true){
$mode = isset($_GET['mode']) ? trim($_GET['mode']) : false;
switch($mode) {
//вывод тех,кто в комнате
case 'room':
$diz -> head('Кто в теме?');
$msg.='<div class="fon">';
$tem = $db -> query("SELECT * FROM `chat` WHERE `id` = '".$id."'")-> fetch_assoc();
$diz -> title("<a href='./room".$id."'>".$tem['name']."</a>/<b>Кто здесь?</b>");
$for = $db -> query("SELECT `login` FROM `online` WHERE `where` = 'chat' and `idwh`='$id'");
if ($for -> num_rows > 0) {
while ($assoc = $for -> fetch_assoc()) {
$arr = $db -> query("SELECT * FROM `users` WHERE `login` = '".$assoc['login']."'")-> fetch_assoc();
$msg .= '<a href="../my/id'.$arr['id'].'">'.$assoc['login'].'</a>,';
}
} else {
$msg .= 'В данной комнате ни кого..';
}$msg.='</div>';
break;
///Вывод всех,кто в чате
default:
$diz -> head('Кто в чате?');
$diz -> title("<a href='./'>Комнаты чата</a>/<b>Кто в чате</b>");
$msg.='<div class="fon">';
$for = $db -> query("SELECT `login` FROM `online` WHERE `where` = 'chat'");
if ($for -> num_rows > 0) {
while ($assoc = $for -> fetch_assoc()) {
$arr = $db -> query("SELECT * FROM `users` WHERE `login` = '".$assoc['login']."'")-> fetch_assoc();
$msg .= '<a href="../my/id'.$arr['id'].'">'.$assoc['login'].'</a>,';
}
} else {
$msg .= 'В чате ни кого..';
}}
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else header('location: /aut.php');
?>